NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
I need debuger Instalation help


Joined: 29 Jan 2015
Posts: 3
Location: Florida
Reply with quote
Info From dbg-wizard.php

PHP Version: 5.5.12-2ubuntu4.1
Web Server: Apache/2.4.10 (Ubuntu)
Server Name: beast
My host file has entry “192.168.20.10 beast”
Platform: Linux-glibc-/x86_64 - GLIBC 2.19
Your Client IP Address: 192.168.20.50 - Windows 10 64Bit
Your Server IP Address: 192.168.20.10 - Ubuntu 14.10 64Bit
Port: 80
Your Web Server and PhpED are on different machines
Path to website files: /space/www
Document Root is: /space/www/
Your PHP.INI file is: /etc/php5/apache2/php.ini
PHP extensions directory is: /usr/lib/php5/20121212

Questions:
1. Linux glibc version is not supported ?
the chart at http://www.nusphere.com/products/debugging_php.htm
says,
Linux - x86, 64 - glibc >= 2.3 - dbg-5.0.9-Linux.tar.gz - x86_64
2.19 NOT >= 2.3, but it’s the latest version of ubuntu, and I haven’t found a way (google) to upgrade (gLibc/libc6) with out downgrading ubuntu ?

2. DBG (PHP DEBUGGER) is not installed
Using dbg-4.6.4-Linux.tar.gz / x86_64
I have created
/etc/php5/apache2/conf.d/20-dbg-php.ini
Containing
extension=dbg-php-5.4.so
[debugger]
debugger.enabled=on
debugger.profiler_enabled=on
debugger.hosts_allow=192.168.20.50
debugger.hosts_deny=ALL
debugger.ports=7869, 10000/16

I have copied
dbg-php-5.4.so
to
/usr/lib/php5/20121212
chmod it to 777
Ive tried the same with dbg-php-5.3.so

My apache error log reports
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/dbg-php-5.4.so' - /usr/lib/php5/20121212/dbg-php-5.4.so: undefined symbol: zend_unmangle_property_name in Unknown on line 0

I’m not sure what to do now, do I have to downgrade ubuntu ?
View user's profileFind all posts by madbootSend private message
Guru master

Joined: 24 Jul 2009
Posts: 712
Reply with quote
A brief look at your information indicates you are using the DBG extension for PHP 5.4

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/dbg-php-5.4.so' - /usr/lib/php5/20121212/dbg-php-5.4.so: undefined symbol: zend_unmangle_property_name in Unknown on line 0

But you are using PHP 5.5:

PHP Version: 5.5.12-2ubuntu4.1
Web Server: Apache/2.4.10 (Ubuntu)

That error zend_unmangle_property_name is typical for a mismatched version. Try using the DBG extension for PHP 5.5?

Also version 2.19 is newer than version 2.3 so that sounds fine. Maybe you were thinking of 2.30?
View user's profileFind all posts by plugnplaySend private message


Joined: 29 Jan 2015
Posts: 3
Location: Florida
Reply with quote
where can i get or find dbg-php-5.5.so ?
View user's profileFind all posts by madbootSend private message
Guru master

Joined: 24 Jul 2009
Posts: 712
Reply with quote
Older versions of PHP won't have it; I'm not sure what version of PhpED started supporting PHP 5.5

The debug modules are stored in %programfiles%\NuSphere\PhpED\debugger\server
View user's profileFind all posts by plugnplaySend private message


Joined: 29 Jan 2015
Posts: 3
Location: Florida
Reply with quote
I found it.
I was still looking in "C:\Program Files (x86)" and using an old version of the debugger.

When i realized i should be looking in "C:\Program Files" for the new version
the setup went just fine

However i still get the warning (-23) platform is linux-glibc/x86_64, it's probably not supported (Linux glibc version is not supported), please cunsult with list of supported platforms on this page http://www.nusphere.com/products/debugging_php.htm


Thanks for all your help.
View user's profileFind all posts by madbootSend private message
I need debuger Instalation help
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic